aboutsummaryrefslogtreecommitdiff
path: root/scripts/ci/distcheck.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/ci/distcheck.sh')
-rwxr-xr-xscripts/ci/distcheck.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/scripts/ci/distcheck.sh b/scripts/ci/distcheck.sh
new file mode 100755
index 000000000..9d45536f4
--- /dev/null
+++ b/scripts/ci/distcheck.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+
+if [ "${CC#clang}" != "${CC}" ] ; then
+ export CXX="clang++"
+fi
+
+cd "$(dirname "$0")"/../..
+./bootstrap
+./configure ${CONF}
+
+# Ignore possible failures there because these tests depends on measurements
+# and systems might differ in performance.
+export CI="true"
+
+# Additional configure flags for distcheck
+export DISTCHECK_CONFIGURE_FLAGS="${CONF}"
+
+make distcheck